import { BlockCategoriesCrud, PageBuilderStorageOperations, PbContext } from "../../types";
import { BlockCategoriesPermissions } from "./permissions/BlockCategoriesPermissions";
export interface CreateBlockCategoriesCrudParams {
    context: PbContext;
    storageOperations: PageBuilderStorageOperations;
    blockCategoriesPermissions: BlockCategoriesPermissions;
    getTenantId: () => string;
    getLocaleCode: () => string;
}
export declare const createBlockCategoriesCrud: (params: CreateBlockCategoriesCrudParams) => BlockCategoriesCrud;
