"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.GetModel = void 0;
class GetModel {
  static async byModelId(context, modelId) {
    const model = await context.cms.getModel(modelId);
    if (!model) {
      throw new Error(`Model "${modelId}" was not found!`);
    }
    return model;
  }
}
exports.GetModel = GetModel;

//# sourceMappingURL=GetModel.js.map