"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.GqlTranslatableCollectionMapper = void 0;
var _GqlTranslatableItemMapper = require("./GqlTranslatableItemMapper");
class GqlTranslatableCollectionMapper {
  static toDTO(collection) {
    return {
      id: collection.getId() || collection.getCollectionId(),
      collectionId: collection.getCollectionId(),
      lastModified: collection.getLastModified()?.toISOString(),
      items: collection.getItems().map(item => _GqlTranslatableItemMapper.GqlTranslatableItemMapper.toDTO(item))
    };
  }
}
exports.GqlTranslatableCollectionMapper = GqlTranslatableCollectionMapper;

//# sourceMappingURL=GqlTranslatableCollectionMapper.js.map